Skip to main content
LINE自動応答作成
POST

Authorizations

Authorization
string
header
required

APIキーをBearerトークンとして指定

Path Parameters

account_id
string
required

配信アカウントID

Body

application/json
name
string
required

管理名称

Maximum string length: 255
response_type
enum<string>
required

応答タイプ。keyword: キーワード応答、all_messages: 一律応答

Available options:
keyword,
all_messages
Example:

"keyword"

action_type
enum<string>
required

動作。message: メッセージを送信、action: アクションを実行、template: テンプレートを送信

Available options:
message,
action,
template
Example:

"message"

autoreply_group_id
string | null

自動応答グループID(省略・null・空文字は未分類)

keyword_type
enum<string> | null

一致。part: 部分一致、all: 完全一致(response_type=keyword で必須)

Available options:
part,
all
keywords
(string | null)[] | null

キーワードの配列(response_type=keyword で必須。各255文字以内・改行不可・合計65,535バイト以内。"0" は指定不可。null の要素は無視)

Required array length: 1 - 100 elements
Maximum string length: 255
message
string | null

送信するメッセージ本文(action_type=message で必須。配信済みメッセージの置換URL・rid付きURLは不可)

Maximum string length: 5000
action_id
string | null

実行するアクションID(action_type=action で必須。同じアカウントのアクション一覧にあるアクション)

line_template_id
string | null

送信するテンプレートID(action_type=template で必須。同じアカウントの削除されていないテンプレート)

Response

作成された自動応答

data
object

LINE自動応答。response_type / action_type に対応する項目のみ値が入り、対応しない項目は null です。